Become a MacRumors Supporter for $50/year with no ads, ability to filter front page stories, and private forums.

Zeke D

macrumors 65816
Original poster
Nov 18, 2011
1,024
168
Arizona
Hey all, I got Planet Coaster for christmas, and wanted to play, but a weird glitch makes it unplayable.

I'm thinking drivers, since the drivers included with Boot Camp are dated 2012. Went to AMD's site to download new drivers for the Radeon 5770, but the installers say that there is no ATI card. Suggestions?
 

Attachments

  • planet-coaster-glitch.jpg
    planet-coaster-glitch.jpg
    561.7 KB · Views: 248
  • no-drivers.jpg
    no-drivers.jpg
    221.3 KB · Views: 137

mhd2100

macrumors member
Nov 3, 2016
74
42
AMD's drivers no longer support your card's outdated architecture. You can try using my modified drivers that are based on Crimson 16.2 beta (the last to support your card's architecture). They are tricked into thinking they are Crimson 16.11.5 so newer games will also at least run (if not smoothly). See my signature.
 

chrfr

macrumors G5
Jul 11, 2009
13,587
7,131
Hey all, I got Planet Coaster for christmas, and wanted to play, but a weird glitch makes it unplayable.

I'm thinking drivers, since the drivers included with Boot Camp are dated 2012. Went to AMD's site to download new drivers for the Radeon 5770, but the installers say that there is no ATI card. Suggestions?
The driver you find here for your 5770 are the latest that exist: http://support.amd.com/en-us/download/desktop/bootcamp
 

Zeke D

macrumors 65816
Original poster
Nov 18, 2011
1,024
168
Arizona
The driver you find here for your 5770 are the latest that exist: http://support.amd.com/en-us/download/desktop/bootcamp
i tried those, no dice.

AMD's drivers no longer support your card's outdated architecture. You can try using my modified drivers that are based on Crimson 16.2 beta (the last to support your card's architecture). They are tricked into thinking they are Crimson 16.11.5 so newer games will also at least run (if not smoothly). See my signature.
I tried both the legacy drivers and the Crimson divers from your site - same issue. I also don't seem to have the resolutions that matter, like 1440x800...
 
Last edited:

Zeke D

macrumors 65816
Original poster
Nov 18, 2011
1,024
168
Arizona
AMD's drivers no longer support your card's outdated architecture. You can try using my modified drivers that are based on Crimson 16.2 beta (the last to support your card's architecture). They are tricked into thinking they are Crimson 16.11.5 so newer games will also at least run (if not smoothly). See my signature.

I'm having issues on both a cMP1,1 flashed to 2,1 and a 2012 5,1. Here is the hardware ID for the Radeon: PCI\VEN_1002&DEV_68B8&SUBSYS_00CF106B&REV_00
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.